using BPA.SingleDevice.Business;
using BPA.SingleDevice.Helper;
using BPA.SingleDevice.View;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;

namespace BPA.SingleDevice
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);
            SqlHelper.GetInstance.Init();
            MainControl.GetInstance.Start();
            MainView mv = new MainView();
            mv.Show();
        }

        protected override void OnExit(ExitEventArgs e)
        {
            base.OnExit(e);
            MainControl.GetInstance.Stop();
        }
    }
}
